0 Replies Latest reply: Sep 12, 2013 5:15 AM by f5401de7-8d49-4033-9b15-96ed6c599c88 RSS

    slf4j-api-1.5.11.jar is oldest in ATG 10.1.2 DAS/lib ? how to exclude using ATG-Assembler-Skip-File tag

    f5401de7-8d49-4033-9b15-96ed6c599c88

      Hi All,

       

         We are migrating the exisiting spring based eCommerce application to ATG 10.1.2. In which we have identified that slf4j jar (slf4j-api-1.5.11.jar) present in DAS/lib folder is older than the required (slf4j.api.jar - 1.6.4) in the project.

       

      So we are having an issue. Can you please what is the best way to proceed ?

       

      1) Can I replace the DAS/lib jar to the latest, will it be a problem ??

       

      2) do we have any other mechanism to handle this situation ?

       

      Advance thanks for your help !

       

      With Regards,

      Balabaskaran Kanagasabai

       

      09/12/2013:

       

      I have found a solution for this issue by updating the DAS module MANIFEST.MF file as given below for this particular jar file to be imported on my EAR.


      ATG-Assembler-Import-File: False    

       

      In local env, it is ok, But I'm not very comfortable to change it inside the DAS, instead from the ATG documentation, I see there is a possibility to achieve the same using ATG-Assembler-Skip-File tag on my project Manifest file.


      Using this tag, I'm able to ignore the jar file from my project but I do not have an idea how to specify a file of DAS.. Any idea/suggestion ???


       

      With Regards,

      Balabaskaran Kanagasabai